from PyQt5.QtWidgets import QApplication, QCalendarWidget
from PyQt5.QtCore import Qt
import sys

class Calendar(QCalendarWidget):

    def __init__(self, parent=None):
        super().__init__(parent)

    def keyPressEvent(self, event):
        key = event.key()
        mod = int(event.modifiers())
        handled = False

        print(key, mod)

        if key == Qt.Key_Space:
            print('[space]')
            handled = True

        if not handled:
            super().keyPressEvent(event)
        

app = QApplication(sys.argv)
window = Calendar()
window.show()

app.exec()
